Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575718 - [abrt] avahi-ui-tools: update_label(): avahi-discover:246:update_label:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 97: ordinal not in range(128) Apparently avahi-discover cannot display translated non-ascii labels. LANG=es_ES....
Summary: [abrt] avahi-ui-tools: update_label(): avahi-discover:246:update_label:Unicod...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: 31
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7f0075a093490ddd687f68a26b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 17:56 UTC by Alex Villacís Lasso
Modified: 2020-11-24 17:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:41:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.36 KB, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details
File: cgroup (351 bytes, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details
File: cpuinfo (1.37 KB, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details
File: environ (1.37 KB, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details
File: mountinfo (3.65 KB, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details
File: open_fds (1.12 KB, text/plain)
2018-05-07 17:56 UTC, Alex Villacís Lasso
no flags Details

Description Alex Villacís Lasso 2018-05-07 17:56:39 UTC
Description of problem:
Running avahi-discover, click on tree leaf (my own interface)/local/Remote Disk Management/(my hostname)

Version-Release number of selected component:
avahi-ui-tools-0.7-12.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python2 /usr/bin/avahi-discover
crash_function: update_label
exception_type: UnicodeDecodeError
executable:     /usr/bin/avahi-discover
interpreter:    python2-2.7.14-15.fc28.x86_64
kernel:         4.16.6-302.fc28.x86_64
runlevel:       3 5
type:           Python
uid:            1000

Truncated backtrace:
avahi-discover:246:update_label:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 97: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 604, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/bin/avahi-discover", line 113, in service_resolved
    self.update_label(interface, protocol, name, stype, domain, host, aprotocol, address, port, avahi.txt_array_to_string_array(txt))
  File "/usr/bin/avahi-discover", line 246, in update_label
    infos = infos % (stype, name, domain, self.siocgifname(interface), self.protoname(protocol), host, address, port, txts.strip())
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 97: ordinal not in range(128)

Local variables in innermost frame:
domain: dbus.String(u'local')
protocol: dbus.Int32(0)
name: dbus.String(u'avillacis')
self: <__main__.Main_window instance at 0x7fe3163d4ab8>
host: dbus.String(u'avillacis.local')
aprotocol: dbus.Int32(0)
address: dbus.String(u'192.168.253.1')
interface: dbus.Int32(3)
infos: '<b>Tipo de servicio:</b> %s\n<b>Nombre del servicio:</b> %s\n<b>Nombre del dominio:</b> %s\n<b>Interfaz:</b> %s %s\n<b>Direcci\xc3\xb3n:</b> %s/%s:%i\n%s'
txt: []
port: dbus.UInt16(22)
stype: dbus.String(u'_udisks-ssh._tcp')
txts: '<b>Datos TXT:</b> <i>vac\xc3\xado</i>'

Comment 1 Alex Villacís Lasso 2018-05-07 17:56:44 UTC
Created attachment 1432767 [details]
File: backtrace

Comment 2 Alex Villacís Lasso 2018-05-07 17:56:45 UTC
Created attachment 1432768 [details]
File: cgroup

Comment 3 Alex Villacís Lasso 2018-05-07 17:56:46 UTC
Created attachment 1432769 [details]
File: cpuinfo

Comment 4 Alex Villacís Lasso 2018-05-07 17:56:48 UTC
Created attachment 1432770 [details]
File: environ

Comment 5 Alex Villacís Lasso 2018-05-07 17:56:49 UTC
Created attachment 1432771 [details]
File: mountinfo

Comment 6 Alex Villacís Lasso 2018-05-07 17:56:50 UTC
Created attachment 1432772 [details]
File: namespaces

Comment 7 Alex Villacís Lasso 2018-05-07 17:56:51 UTC
Created attachment 1432773 [details]
File: open_fds

Comment 8 Alex Villacís Lasso 2019-03-06 16:09:28 UTC
Still present in Fedora 29.

A workaround (only if invoking from terminal window) is to set LANG to an English locale, such as:

LANG=en_US.utf8 avahi-discover

Comment 9 Alex Villacís Lasso 2019-05-08 17:06:49 UTC
Still present in Fedora 30.

Comment 10 Ben Cotton 2020-04-30 22:03:37 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Alex Villacís Lasso 2020-05-02 22:46:10 UTC
Still present in Fedora 31.

Comment 12 Ben Cotton 2020-11-03 17:00:43 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Alex Villacís Lasso 2020-11-04 16:23:56 UTC
No package provides the avahi-discover command anymore, so I am unable to test whether the bug was fixed or not under Fedora 32.

Comment 14 Ben Cotton 2020-11-24 17:41:55 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.